curl --request POST \
--url https://{defaultHost}/v1/shipments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"shipment": {
"fulfillment": "19f9713d-228b-452e-b3a3-93f6e3dab13b",
"shipping_provider": "f46054d3-0957-42ae-bc01-486befa66f67",
"inherit_weight": false,
"weight": 2,
"weight_unit": "lb",
"dimensions": {
"length": 10,
"width": 8,
"height": 5,
"unit": "in"
},
"shipping_date": "2026-08-06",
"from_contact": {
"name": "Sender Name",
"email": "sender@example.com",
"phone": "555-123-4567",
"address": {
"line_1": "123 Main St",
"city": "New York",
"state": "NY",
"postal_code": "10001",
"country": "US"
}
},
"to_contact": {
"name": "Receiver Name",
"email": "receiver@example.com",
"phone": "555-987-6543",
"address": {
"line_1": "456 Oak Ave",
"city": "Los Angeles",
"state": "CA",
"postal_code": "90001",
"country": "US"
}
}
}
}
'import requests
url = "https://{defaultHost}/v1/shipments"
payload = { "shipment": {
"fulfillment": "19f9713d-228b-452e-b3a3-93f6e3dab13b",
"shipping_provider": "f46054d3-0957-42ae-bc01-486befa66f67",
"inherit_weight": False,
"weight": 2,
"weight_unit": "lb",
"dimensions": {
"length": 10,
"width": 8,
"height": 5,
"unit": "in"
},
"shipping_date": "2026-08-06",
"from_contact": {
"name": "Sender Name",
"email": "sender@example.com",
"phone": "555-123-4567",
"address": {
"line_1": "123 Main St",
"city": "New York",
"state": "NY",
"postal_code": "10001",
"country": "US"
}
},
"to_contact": {
"name": "Receiver Name",
"email": "receiver@example.com",
"phone": "555-987-6543",
"address": {
"line_1": "456 Oak Ave",
"city": "Los Angeles",
"state": "CA",
"postal_code": "90001",
"country": "US"
}
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
shipment: {
fulfillment: '19f9713d-228b-452e-b3a3-93f6e3dab13b',
shipping_provider: 'f46054d3-0957-42ae-bc01-486befa66f67',
inherit_weight: false,
weight: 2,
weight_unit: 'lb',
dimensions: {length: 10, width: 8, height: 5, unit: 'in'},
shipping_date: '2026-08-06',
from_contact: {
name: 'Sender Name',
email: 'sender@example.com',
phone: '555-123-4567',
address: {
line_1: '123 Main St',
city: 'New York',
state: 'NY',
postal_code: '10001',
country: 'US'
}
},
to_contact: {
name: 'Receiver Name',
email: 'receiver@example.com',
phone: '555-987-6543',
address: {
line_1: '456 Oak Ave',
city: 'Los Angeles',
state: 'CA',
postal_code: '90001',
country: 'US'
}
}
}
})
};
fetch('https://{defaultHost}/v1/shipments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "9286d9a7-711d-47c1-8073-89978659b7ce",
"object": "shipment",
"carrier": null,
"carrier_messages": [
{
"carrier": "UPS",
"messages": [
"Shipment origin is out of service area for UPS Master account from CA",
"Hard: Too Many Requests"
]
},
{
"carrier": "Shippo",
"messages": [
"Carrier account COURIERSPLEASE_SHIPPO_TIER_1 doesn't support one or more shipment options",
"Carrier account shippo_canada_post_master doesn't support one or more shipment options",
"Carrier account shippo_dpd_de_account doesn't support one or more shipment options",
"Carrier account shippo_colissimo_account doesn't support one or more shipment options",
"Carrier account shippo_deutsche_post_account doesn't support one or more shipment options",
"Carrier account shippo_hermes_uk_account doesn't support one or more shipment options",
"Carrier account shippo_dpd_uk_account doesn't support one or more shipment options",
"Carrier account shippo_sendle_account doesn't support one or more shipment options",
"Carrier account shippo_chronopost_account doesn't support one or more shipment options",
"Carrier account shippo_correos_account doesn't support one or more shipment options"
]
},
{
"carrier": "ShippoCommon",
"messages": [
"Shipment origin or destination state is out of the service area for LSO."
]
},
{
"carrier": "DHLExpress",
"messages": [
"Shippo's DHL Express master account doesn't support shipments to inside of the US"
]
}
],
"contact_validations": {
"from_contact": {
"valid": false,
"messages": []
},
"to_contact": {
"valid": false,
"messages": []
}
},
"dimensions": {
"length": 10,
"width": 8,
"height": 5,
"unit": "in"
},
"eta": null,
"inherit_weight": false,
"label_file_type": "PDF",
"label_url": null,
"live_mode": true,
"rates": [
{
"id": "84ce975efab7429088b5c5d15aee74af",
"amount": 1129,
"currency": "usd",
"provider": "USPS",
"service_name": "Ground Advantage",
"estimated_days": 5,
"tags": [
"cheapest",
"bestvalue"
],
"duration_terms": "Delivery in 2 to 5 days.",
"provider_logo_url": "https://shippo-static.s3.amazonaws.com/providers/75/USPS.png"
},
{
"id": "8ba164f7fce04ea6915beef12aab885b",
"amount": 6670,
"currency": "usd",
"provider": "USPS",
"service_name": "Priority Mail Express",
"estimated_days": 1,
"tags": [
"fastest"
],
"duration_terms": "Overnight delivery to most U.S. locations.",
"provider_logo_url": "https://shippo-static.s3.amazonaws.com/providers/75/USPS.png"
},
{
"id": "2d9747593349433898d9a6a0f820a742",
"amount": 1699,
"currency": "usd",
"provider": "USPS",
"service_name": "Priority Mail",
"estimated_days": 3,
"tags": [],
"duration_terms": "Delivery within 1, 2, or 3 days based on where your package started and where it’s being sent.",
"provider_logo_url": "https://shippo-static.s3.amazonaws.com/providers/75/USPS.png"
}
],
"selected_rate": null,
"shipping_date": 1785888000,
"status": "quoted",
"tracking_number": null,
"tracking_status": null,
"tracking_url": null,
"weight": "2.0",
"weight_unit": "lb",
"from_contact": "766caff2-8a4c-415a-8ed2-8fa04f4dc924",
"fulfillment": "19f9713d-228b-452e-b3a3-93f6e3dab13b",
"parcel_template": null,
"shipping_provider": "f46054d3-0957-42ae-bc01-486befa66f67",
"to_contact": "ad71b617-0915-41fa-8f71-13d788a97c91",
"created_at": 1786008239,
"updated_at": 1786008239
}Create
Creates a new shipment.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Show child attributes
Show child attributes
Response
Success
The UUID of the specific object.
A string describing the object type returned.
The file type for the shipping label – one of PDF, PDF_A4, PDF_A6, PDF_4x6, PDF_4x8, PNG, ZPLII.
Expandable – The associated parcel template ID.
The weight of the parcel.
The unit of the weight – one of g, kg, lb, oz.
When true, inherit the weight from the fulfillment.
The date the shipment will be tendered to the carrier. Measured in seconds since the Unix epoch.
The dimensions of the parcel.
Show child attributes
Show child attributes
The current status of this shipment – one of draft, quoted, purchased, voided.
Whether or not this shipment was created in live mode.
The URL for the purchased shipping label.
The tracking number for this shipment.
The URL to track this shipment.
The shipping carrier for this shipment.
Messages from carriers about this shipment.
Show child attributes
Show child attributes
Contact validation results returned by the shipping provider. Only available after quoting.
Show child attributes
Show child attributes
The current tracking status – one of unknown, pre_transit, in_transit, delivered, returned, failure.
The estimated time of arrival.
The available shipping rates for this shipment.
Show child attributes
Show child attributes
The selected shipping rate for this shipment.
Show child attributes
Show child attributes
Expandable – The associated fulfillment ID.
Expandable – The associated shipping provider ID.
Expandable – The associated contact ID.
Expandable – The associated contact ID.
Time at which the object was created. Measured in seconds since the Unix epoch.
Time at which the object was last updated. Measured in seconds since the Unix epoch.
Was this page helpful?